> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an email address for a business



## OpenAPI

````yaml /openapi.json post /businesses/{id}/email_addresses
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/email_addresses:
    post:
      tags:
        - Email addresses
      summary: Create an email address for a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    email_address:
                      type: string
                      description: >-
                        The full email address. Must have the same domain as an
                        existing business email address.
                    display_name:
                      type: string
                      description: The display name for the email address
                    one_off:
                      type: boolean
                      description: Whether this is a one-off email address
                    reply_to:
                      type: string
                      description: The reply-to address for the email address
                  required:
                    - email_address
                    - display_name
                - type: object
                  properties:
                    username:
                      type: string
                      description: The username (local part) of the email address
                    display_name:
                      type: string
                      description: The display name for the email address
                    custom_domain:
                      type: string
                      description: >-
                        The ID of the custom domain to create the email address
                        under
                    one_off:
                      type: boolean
                      description: Whether this is a one-off email address
                    reply_to:
                      type: string
                      description: The reply-to address for the email address
                  required:
                    - username
                    - display_name
                    - custom_domain
      responses:
        '200':
          description: The created `EmailAddress` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailAddress'
components:
  schemas:
    EmailAddress:
      type: object
      properties:
        id:
          type: string
          description: The ID of the email address
        email_address:
          type: string
          description: The email address
        display_name:
          type: string
          description: The display name of the email address
        reply_to:
          type: string
          nullable: true
          description: The reply-to address
        business:
          type: string
          nullable: true
          description: The business associated with this email address
        one_off:
          type: boolean
          description: Whether the email address is one-off
        custom_domain:
          type: string
          nullable: true
          description: The custom domain associated with this email address
      required:
        - id
        - email_address
        - display_name
        - reply_to
        - business
        - one_off
        - custom_domain
      title: The Email Address object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````